using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Web;

namespace FiltronASP.Models.DAO.Interfaces.Filtron
{
    /// <summary>
    /// Interfejs dla operacji bazodanowych specyficznych dla tabeli <code>Filtron_filter_engines</code>.
    /// </summary>
    public interface IFiltronFilterEngineDAO : IGenericDAO<FiltronFilterEngine, System.Nullable<int>>
    {
        IQueryable<FiltronFilterEngine> FindByFilter(int filterId, int engineId);
        IQueryable<FiltronFilterEngine> FindByFilter(int filterId);
        IQueryable<FiltronFilterEngine> FindByEngineAndModel(int engineId, int modelId);
        IQueryable<FiltronFilterEngine> FindByEngineAndModelOnlyNulls(int engineId, int modelId);
    }
}
